| pasteseq

## Function

Insert one sequence into another

## Description

This simple editing program allows you to insert one sequence into another sequence after a specified position and to then write out the results to a sequence file.

## Usage

Here is a sample session with pasteseq

To insert the sequence 'tsw:flav_nossm' after position 67 in sequence 'tsw:amir_pseae' and write the results to the file 'amir_pseae.fasta':

    % pasteseq tsw:amir_pseae tsw:flav_nossm -pos=67
    Insert one sequence into another
    Output sequence [amir_pseae.fasta]:

Go to the input files for this example
Go to the output files for this example

Example 2

This does the same thing, but the output qualifier is explicitly used:

    % pasteseq tsw:amir_pseae tsw:flav_nossm -out=amirplus.seq -pos=67
    Insert one sequence into another

Go to the output files for this example

Example 3

To insert the sequence 'tsw:flav_nossm' before the start of sequence 'tsw:amir_pseae' use -pos=0:

    % pasteseq tsw:amir_pseae tsw:flav_nossm -out=amirplus.seq -pos=0
    Insert one sequence into another

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-asequence]         sequence   Sequence USA
      [-bsequence]         sequence   Sequence to insert
       -pos                integer    The position in the main input sequence to
                                      insert after.
                                      To insert before the start use the position
                                      0.
      [-outseq]            seqout     Output sequence USA

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-asequence" associated qualifiers
       -sbegin1             integer    Start of the sequence to be used
       -send1               integer    End of the sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-bsequence" associated qualifiers
       -sbegin2             integer    Start of the sequence to be used
       -send2               integer    End of the sequence to be used
       -sreverse2           boolean    Reverse (if DNA)
       -sask2               boolean    Ask for begin/end/reverse
       -snucleotide2        boolean    Sequence is nucleotide
       -sprotein2           boolean    Sequence is protein
       -slower2             boolean    Make lower case
       -supper2             boolean    Make upper case
       -sformat2            string     Input sequence format
       -sdbname2            string     Database name
       -sid2                string     Entryname
       -ufo2                string     UFO features
       -fformat2            string     Features format
       -fopenfile2          string     Features file name

       "-outseq" associated qualifiers
       -osformat3           string     Output seq format
       -osextension3        string     File name extension
       -osname3             string     Base file name
       -osdirectory3        string     Output directory
       -osdbname3           string     Database name to add
       -ossingle3           boolean    Separate file for each entry
       -oufo3               string     UFO features
       -offormat3           string     Features format
       -ofname3             string     Features file name
       -ofdirectory3        string     Output directory

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-asequence] (Parameter 1) | Sequence USA | Readable sequence | Required
[-bsequence] (Parameter 2) | Sequence to insert | Readable sequence | Required
-pos | The position in the main input sequence to insert after. To insert before the start use the position 0. | Integer 0 or more | $(asequence.end)
[-outseq] (Parameter 3) | Output sequence USA | Writeable sequence | <sequence>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

pasteseq reads 2 normal sequence USAs.

### Input files for usage example

'tsw:amir_pseae' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:amir_pseae

    ID   AMIR_PSEAE     STANDARD;      PRT;   196 AA.
    AC   P10932;
    DT   01-JUL-1989 (Rel. 11, Created)
    DT   01-JUL-1989 (Rel. 11, Last sequence update)
    DT   15-DEC-1998 (Rel. 37, Last annotation update)
    DE   ALIPHATIC AMIDASE REGULATOR.
    GN   AMIR.
    OS   Pseudomonas aeruginosa.
    OC   Bacteria; Proteobacteria; gamma subdivision; Pseudomonas group;
    OC   Pseudomonas.
    RN   [1]
    RP   SEQUENCE FROM N.A.
    RC   STRAIN=PAC;
    RX   MEDLINE; 89211409.
    RA   LOWE N., RICE P.M., DREW R.E.;
    RT   "Nucleotide sequence of the aliphatic amidase regulator gene (amiR)
    RT   of Pseudomonas aeruginosa.";
    RL   FEBS Lett. 246:39-43(1989).
    RN   [2]
    RP   CHARACTERIZATION.
    RX   MEDLINE; 95286483.
    RA   WILSON S.A., DREW R.E.;
    RT   "Transcriptional analysis of the amidase operon from Pseudomonas
    RT   aeruginosa.";
    RL   J. Bacteriol. 177:3052-3057(1995).
    CC   -!- FUNCTION: POSITIVE CONTROLLING ELEMENT OF AMIE, THE GENE FOR
    CC       ALIPHATIC AMIDASE. ACTS AS A TRANSCRIPTIONAL ANTITERMINATION
    CC       FACTOR. IT IS THOUGHT TO ALLOW RNA POLYMERASE READ THROUGH A RHO-
    CC       INDEPENDENT TRANSCRIPTION TERMINATOR BETWEEN THE AMIE PROMOTER AND
    CC       GENE.
    CC   --------------------------------------------------------------------------
    CC   This SWISS-PROT entry is copyright. It is produced through a collaboration
    CC   between  the Swiss Institute of Bioinformatics  and the  EMBL outstation -
    CC   the European Bioinformatics Institute.  There are no  restrictions on  its
    CC   use  by  non-profit  institutions as long  as its content  is  in  no  way
    CC   modified and this statement is not removed.  Usage  by  and for commercial
    CC   entities requires a license agreement (See http://www.isb-sib.ch/announce/
    CC   or send an email to license@isb-sib.ch).
    CC   --------------------------------------------------------------------------
    DR   EMBL; X13776; CAA32023.1; -.
    DR   PIR; S03884; S03884.
    KW   Transcription regulation; Activator.
    SQ   SEQUENCE   196 AA;  21776 MW;  560A8AE3 CRC32;
         MSANSLLGSL RELQVLVLNP PGEVSDALVL QLIRIGCSVR QCWPPPEAFD VPVDVVFTSI
         FQNGHHDEIA ALLAAGTPRT TLVALVEYES PAVLSQIIEL ECHGVITQPL DAHRVLPVLV
         SARRISEEMA KLKQKTEQLQ DRIAGQARIN QAKVLLMQRH GWDEREAHQH LSREAMKRRE
         PILKIAQELL GNEPSA
    //

### Database entry: tsw:flav_nossm

    ID   FLAV_NOSSM     STANDARD;      PRT;    35 AA.
    AC   P35707;
    DT   01-JUN-1994 (Rel. 29, Created)
    DT   01-JUN-1994 (Rel. 29, Last sequence update)
    DT   15-DEC-1998 (Rel. 37, Last annotation update)
    DE   FLAVODOXIN (FRAGMENT).
    OS   Nostoc sp. (strain MAC).
    OC   Bacteria; Cyanobacteria; Nostocales; Nostocaceae; Nostoc.
    RN   [1]
    RP   SEQUENCE.
    RA   Takruri I.A.H., Boulter D., Fitzgerald M.P., Hutber G.N., Rogers L.J.;
    RT   "N-terminal amino acid sequences of flavodoxins from Chondrus crispus
    RT   and Nostoc strain MAC.";
    RL   Phytochemistry 25:2113-2115(1986).
    CC   -!- FUNCTION: LOW-POTENTIAL ELECTRON DONOR TO A NUMBER OF REDOX
    CC       ENZYMES.
    CC   -!- COFACTOR: FMN.
    CC   -!- SIMILARITY: BELONGS TO THE FLAVODOXIN FAMILY.
    DR   PIR; PA0004; PA0004.
    DR   HSSP; P11241; 1RCF.
    DR   INTERPRO; IPR001226; -.
    DR   PFAM; PF00258; flavodoxin; 1.
    DR   PROSITE; PS00201; FLAVODOXIN; 1.
    KW   Electron transport; Flavoprotein; FMN.
    FT   NON_TER      35     35
    SQ   SEQUENCE   35 AA;  3820 MW;  B6EEB5CA7A45DDA6 CRC64;
         SKKIGLFYGT ZTGKTESVAE IIDEFGDEVV TLDID
    //

## Output file format

pasteseq writes a normal sequence file.

### Output files for usage example

### File: amir_pseae.fasta

    >AMIR_PSEAE ALIPHATIC AMIDASE REGULATOR.
    MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDVPVDVVFTSI
    FQNGHHDSKKIGLFYGTZTGKTESVAEIIDEFGDEVVTLDIDEIAALLAAGTPRTTLVAL
    VEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAG
    QARINQAKVLLMQRHGWDEREAHQHLSREAMKRREPILKIAQELLGNEPSA

### Output files for usage example 2

### File: amirplus.seq

    >AMIR_PSEAE ALIPHATIC AMIDASE REGULATOR.
    MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDVPVDVVFTSI
    FQNGHHDSKKIGLFYGTZTGKTESVAEIIDEFGDEVVTLDIDEIAALLAAGTPRTTLVAL
    VEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAG
    QARINQAKVLLMQRHGWDEREAHQHLSREAMKRREPILKIAQELLGNEPSA

### Output files for usage example 3

### File: amirplus.seq

    >AMIR_PSEAE ALIPHATIC AMIDASE REGULATOR.
    SKKIGLFYGTZTGKTESVAEIIDEFGDEVVTLDIDMSANSLLGSLRELQVLVLNPPGEVS
    DALVLQLIRIGCSVRQCWPPPEAFDVPVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVAL
    VEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAG
    QARINQAKVLLMQRHGWDEREAHQHLSREAMKRREPILKIAQELLGNEPSA

## Data files

None.

## Notes

This can be used as a simple sequence editor.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Writes a list file of the logical OR of two sets of sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Excludes a set of sequences and writes out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
skipseq | Reads and writes (returns) sequences, skipping the first few
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Completed 26 Jan 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None